summaryrefslogtreecommitdiff
path: root/dev-java
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-14 13:41:54 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-14 13:41:54 +0000
commit9542b402069821cb9f033d07c3a2a2ec4624536b (patch)
treea531bf3930aa81e863a8b84f71f1a7091152d8a6 /dev-java
parent2b3d7cb19ea7729a4412106add9be46e035ff575 (diff)
downloadbaldeagleos-repo-9542b402069821cb9f033d07c3a2a2ec4624536b.tar.gz
baldeagleos-repo-9542b402069821cb9f033d07c3a2a2ec4624536b.tar.xz
baldeagleos-repo-9542b402069821cb9f033d07c3a2a2ec4624536b.zip
Adding metadata
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/cal10n/Manifest1
-rw-r--r--dev-java/cal10n/cal10n-0.8.1.ebuild67
-rw-r--r--dev-java/cal10n/metadata.xml10
-rw-r--r--dev-java/slf4j-api/Manifest1
-rw-r--r--dev-java/slf4j-api/slf4j-api-1.7.36.ebuild62
-rw-r--r--dev-java/slf4j-nop/Manifest1
-rw-r--r--dev-java/slf4j-nop/slf4j-nop-1.7.36.ebuild58
-rw-r--r--dev-java/slf4j-simple/Manifest1
-rw-r--r--dev-java/slf4j-simple/slf4j-simple-1.7.36.ebuild77
9 files changed, 278 insertions, 0 deletions
diff --git a/dev-java/cal10n/Manifest b/dev-java/cal10n/Manifest
new file mode 100644
index 000000000000..664a8401ecfc
--- /dev/null
+++ b/dev-java/cal10n/Manifest
@@ -0,0 +1 @@
+DIST cal10n-0.8.1.tar.gz 358264 BLAKE2B 1561d2ea7309e470b5bf5990d166af1974ddbfc766ee14101bef33d3b41e5d18bcadbe1ba769eb028d6a41c43b7498c29118a5d7c7b4a93bd55d0a9db5d42eb4 SHA512 882146cddcc8489f08c7354b2029448cc084932fbb6c448271dbfc9ddb11740744bfe161a4e4d58071fc010bc3891d094681584a7a559514d443dcceedafbca2
diff --git a/dev-java/cal10n/cal10n-0.8.1.ebuild b/dev-java/cal10n/cal10n-0.8.1.ebuild
new file mode 100644
index 000000000000..4a31f152bf2c
--- /dev/null
+++ b/dev-java/cal10n/cal10n-0.8.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="ch.qos.cal10n:cal10n-api:0.8.1"
+# JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="java library for writing localized messages using resource bundle"
+HOMEPAGE="http://cal10n.qos.ch/"
+SRC_URI="https://github.com/qos-ch/cal10n/archive/v_${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+S="${WORKDIR}/cal10n-v_${PV}/${PN}-api"
+
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+# There are compilation errors in test phase:
+# warning: Supported source version 'RELEASE_5' from annotation processor 'ch.qos.cal10n.verifier.processor.CAL10NAnnotationProcessor' less than -source '8'
+# src/test/java/ch/qos/cal10n/util/Fruit.java:30: error: Failed to locate resource bundle [fruits] for locale [fr] for enum type [ch.qos.cal10n.util.Fruit]
+# public enum Fruit {
+# ^
+# src/test/java/ch/qos/cal10n/util/Fruit.java:30: error: Failed to locate resource bundle [fruits] for locale [en] for enum type [ch.qos.cal10n.util.Fruit]
+# public enum Fruit {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Minimal.java:34: error: Missing or empty @LocaleData annotation in enum type [ch.qos.cal10n.sample.Minimal]. See http://cal10n.qos.ch/codes.html#missingLDAnnotation
+# public enum Minimal {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Labels.java:9: error: Missing or empty @LocaleData annotation in enum type [ch.qos.cal10n.sample.Labels]. See http://cal10n.qos.ch/codes.html#missingLDAnnotation
+# public enum Labels {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Host.java:8: error: Missing or empty @LocaleData annotation in enum type [ch.qos.cal10n.sample.Host.OtherColors]. See http://cal10n.qos.ch/codes.html#missingLDAnnotation
+# public enum OtherColors {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Furnitures.java:33: error: Failed to locate resource bundle [furnitures] for locale [en_UK] for enum type [ch.qos.cal10n.sample.Furnitures]
+# public enum Furnitures {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Countries.java:33: error: Key [CH] present in enum type [ch.qos.cal10n.sample.Countries] but absent in resource bundle named [countries] for locale [en]
+# public enum Countries {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Countries.java:33: error: Key [BR] present in resource bundle named [countries] for locale [en] but absent in enum type [ch.qos.cal10n.sample.Countries]
+# public enum Countries {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Countries.java:33: error: Key [CH] present in enum type [ch.qos.cal10n.sample.Countries] but absent in resource bundle named [countries] for locale [fr]
+# public enum Countries {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Countries.java:33: error: Key [CN] present in enum type [ch.qos.cal10n.sample.Countries] but absent in resource bundle named [countries] for locale [fr]
+# public enum Countries {
+# ^
+# src/test/java/ch/qos/cal10n/sample/Countries.java:33: error: Key [BR] present in resource bundle named [countries] for locale [fr] but absent in enum type [ch.qos.cal10n.sample.Countries]
+# public enum Countries {
+# ^
+# 11 errors
+
+# JAVA_TEST_GENTOO_CLASSPATH="junit-4"
+# JAVA_TEST_SRC_DIR="src/test/java"
+# JAVA_TEST_RESOURCE_DIRS="src/test/resources"
diff --git a/dev-java/cal10n/metadata.xml b/dev-java/cal10n/metadata.xml
new file mode 100644
index 000000000000..e25b5c52aab3
--- /dev/null
+++ b/dev-java/cal10n/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ <name>Java</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-java/slf4j-api/Manifest b/dev-java/slf4j-api/Manifest
index 9b91652ca75b..1a1afc9212b3 100644
--- a/dev-java/slf4j-api/Manifest
+++ b/dev-java/slf4j-api/Manifest
@@ -1 +1,2 @@
DIST slf4j-1.7.32.tar.gz 2277207 BLAKE2B d16c93ddc4667700a868d872a58b64248c8594fafa37e05ed300a71061c58ec2b3f1e0036326ff42ebdd57d5df3576e8ec2d8ae6090439b5d8e6f1fa0c555332 SHA512 512c33cb812058a7419eb717e55ad9a0522e602339f088e7295bb0bfb3cf39972412a74479896c14e8c48124d8c2adc4c4d78735f4747b4fa9742ddac2ae07fa
+DIST slf4j-1.7.36.tar.gz 2276203 BLAKE2B 930de76047c694b4e566ba743ee90a2efb062358b03209137f686c4bf4ead122aa84c18b79615e5a67f1a890abdc1b8f70f62b7803f7b8e45c766ff8254836d4 SHA512 1384c771aa04d9d351854cf8ddeef66ee9f43df53890a05413c48c14cf1cb78a457bb4b2a6e2f064f1c1ab68b2eaa1d326fc03bb6b7c145915660a2c873692d0
diff --git a/dev-java/slf4j-api/slf4j-api-1.7.36.ebuild b/dev-java/slf4j-api/slf4j-api-1.7.36.ebuild
new file mode 100644
index 000000000000..7644bfeebf50
--- /dev/null
+++ b/dev-java/slf4j-api/slf4j-api-1.7.36.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/qos-ch/slf4j/archive/v_1.7.36.tar.gz --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild slf4j-api-1.7.36.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="org.slf4j:slf4j-api:1.7.36"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="The slf4j API"
+HOMEPAGE="https://www.slf4j.org"
+SRC_URI="https://github.com/qos-ch/slf4j/archive/v_${PV}.tar.gz -> slf4j-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+"
+BDEPEND="app-arch/zip"
+
+DOCS=( LICENSE.txt ../README.md )
+
+S="${WORKDIR}/slf4j-v_${PV}/${PN}"
+
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4"
+JAVA_TEST_SRC_DIR="src/test/java"
+
+JAVA_TEST_EXCLUDES=(
+ # java.lang.InstantiationException - not run by upstream anyway
+ "org.slf4j.helpers.MultithreadedInitializationTest"
+)
+
+src_prepare() {
+ default
+ java-pkg_clean
+}
+
+src_compile() {
+ java-pkg-simple_src_compile
+
+ # remove org/slf4j/impl/ from the jar file
+ zip -d ${PN}.jar org/slf4j/impl/\* || die "Failed to remove impl files"
+}
+
+src_install() {
+ default # https://bugs.gentoo.org/789582
+ java-pkg-simple_src_install
+}
diff --git a/dev-java/slf4j-nop/Manifest b/dev-java/slf4j-nop/Manifest
index 9b91652ca75b..1a1afc9212b3 100644
--- a/dev-java/slf4j-nop/Manifest
+++ b/dev-java/slf4j-nop/Manifest
@@ -1 +1,2 @@
DIST slf4j-1.7.32.tar.gz 2277207 BLAKE2B d16c93ddc4667700a868d872a58b64248c8594fafa37e05ed300a71061c58ec2b3f1e0036326ff42ebdd57d5df3576e8ec2d8ae6090439b5d8e6f1fa0c555332 SHA512 512c33cb812058a7419eb717e55ad9a0522e602339f088e7295bb0bfb3cf39972412a74479896c14e8c48124d8c2adc4c4d78735f4747b4fa9742ddac2ae07fa
+DIST slf4j-1.7.36.tar.gz 2276203 BLAKE2B 930de76047c694b4e566ba743ee90a2efb062358b03209137f686c4bf4ead122aa84c18b79615e5a67f1a890abdc1b8f70f62b7803f7b8e45c766ff8254836d4 SHA512 1384c771aa04d9d351854cf8ddeef66ee9f43df53890a05413c48c14cf1cb78a457bb4b2a6e2f064f1c1ab68b2eaa1d326fc03bb6b7c145915660a2c873692d0
diff --git a/dev-java/slf4j-nop/slf4j-nop-1.7.36.ebuild b/dev-java/slf4j-nop/slf4j-nop-1.7.36.ebuild
new file mode 100644
index 000000000000..2a1d4df2e424
--- /dev/null
+++ b/dev-java/slf4j-nop/slf4j-nop-1.7.36.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/qos-ch/slf4j/archive/v_1.7.36.tar.gz --slot 0 --keywords "~amd64 ~arm64 ~ppc64 ~x86" --ebuild slf4j-nop-1.7.36.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="org.slf4j:slf4j-nop:1.7.36"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="SLF4J NOP Binding"
+HOMEPAGE="https://www.slf4j.org"
+SRC_URI="https://github.com/qos-ch/slf4j/archive/v_${PV}.tar.gz -> slf4j-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+# Common dependencies
+# POM: pom.xml
+# org.slf4j:slf4j-api:1.7.36 -> >=dev-java/slf4j-api-1.7.36:0
+
+CP_DEPEND="
+ ~dev-java/slf4j-api-${PV}:0
+"
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+ ${CP_DEPEND}
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+ ${CP_DEPEND}"
+
+DOCS=( LICENSE.txt ../README.md )
+
+S="${WORKDIR}/slf4j-v_${PV}/${PN}"
+
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4"
+JAVA_TEST_SRC_DIR="src/test/java"
+
+src_prepare() {
+ default
+ java-pkg_clean
+}
+
+src_install() {
+ default # https://bugs.gentoo.org/789582
+ java-pkg-simple_src_install
+}
diff --git a/dev-java/slf4j-simple/Manifest b/dev-java/slf4j-simple/Manifest
index 9b91652ca75b..1a1afc9212b3 100644
--- a/dev-java/slf4j-simple/Manifest
+++ b/dev-java/slf4j-simple/Manifest
@@ -1 +1,2 @@
DIST slf4j-1.7.32.tar.gz 2277207 BLAKE2B d16c93ddc4667700a868d872a58b64248c8594fafa37e05ed300a71061c58ec2b3f1e0036326ff42ebdd57d5df3576e8ec2d8ae6090439b5d8e6f1fa0c555332 SHA512 512c33cb812058a7419eb717e55ad9a0522e602339f088e7295bb0bfb3cf39972412a74479896c14e8c48124d8c2adc4c4d78735f4747b4fa9742ddac2ae07fa
+DIST slf4j-1.7.36.tar.gz 2276203 BLAKE2B 930de76047c694b4e566ba743ee90a2efb062358b03209137f686c4bf4ead122aa84c18b79615e5a67f1a890abdc1b8f70f62b7803f7b8e45c766ff8254836d4 SHA512 1384c771aa04d9d351854cf8ddeef66ee9f43df53890a05413c48c14cf1cb78a457bb4b2a6e2f064f1c1ab68b2eaa1d326fc03bb6b7c145915660a2c873692d0
diff --git a/dev-java/slf4j-simple/slf4j-simple-1.7.36.ebuild b/dev-java/slf4j-simple/slf4j-simple-1.7.36.ebuild
new file mode 100644
index 000000000000..03237365c3cc
--- /dev/null
+++ b/dev-java/slf4j-simple/slf4j-simple-1.7.36.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/qos-ch/slf4j/archive/v_1.7.36.tar.gz --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild slf4j-simple-1.7.36.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="org.slf4j:slf4j-simple:1.7.36"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="SLF4J Simple binding"
+HOMEPAGE="https://www.slf4j.org"
+SRC_URI="https://github.com/qos-ch/slf4j/archive/v_${PV}.tar.gz -> slf4j-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+# Common dependencies
+# POM: pom.xml
+# org.slf4j:slf4j-api:1.7.36 -> >=dev-java/slf4j-api-1.7.36:0
+
+CP_DEPEND="
+ ~dev-java/slf4j-api-${PV}:0
+"
+
+# Compile dependencies
+# POM: pom.xml
+# test? junit:junit:4.13 -> >=dev-java/junit-4.13.2:4
+# test? org.slf4j:slf4j-api:1.7.36 -> >=dev-java/slf4j-api-1.7.36:0
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+ ${CP_DEPEND}
+ test? (
+ ~dev-java/slf4j-api-${PV}:0
+ )
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+ ${CP_DEPEND}"
+
+DOCS=( LICENSE.txt ../README.md )
+
+S="${WORKDIR}/slf4j-v_${PV}/${PN}"
+
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4,slf4j-api"
+JAVA_TEST_SRC_DIR="src/test/java"
+JAVA_TEST_RESOURCE_DIRS="src/test/resources"
+
+JAVA_TEST_EXCLUDES=(
+ # java.lang.InstantiationException
+ "org.slf4j.helpers.MultithreadedInitializationTest"
+
+ # java.lang.AssertionError: 1284 < 1263+16
+ "org.slf4j.helpers.SimpleLoggerMultithreadedInitializationTest"
+)
+
+src_prepare() {
+ default
+ java-pkg_clean
+ cp {../slf4j-api/,}src/test/java/org/slf4j/helpers/MultithreadedInitializationTest.java || die
+ cp {../slf4j-api/,}src/test/java/org/slf4j/LoggerAccessingThread.java || die
+}
+
+src_install() {
+ default # https://bugs.gentoo.org/789582
+ java-pkg-simple_src_install
+}